function pick=fps(fit)
% pick = fps(fit)
% Usage: This function picks an individual based on fitness proportional
% selection, given a vector of fitness values "fit".
% Find the cumulative probability "cumsum" is the cumulative sum of the vector/matrix.
%--------------------------------------------------------------------------
cum_prob=cumsum(fit./sum(fit));
% Select individual by FPS.
% "rand" chooses a number in random from 0 to 1
magic=rand(1); 
% "find" indices and values of nonzero elements
I=find(cum_prob>magic); 
pick=I(1);